aboutsummaryrefslogtreecommitdiffstats
path: root/main/sdl/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-05-16 06:39:11 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-05-16 06:39:11 +0000
commit18c4e00db7adc04446dadc4bb77abad4ccc871bf (patch)
tree659c4f45d5111f29264008fd4e44ac6ba189fc21 /main/sdl/APKBUILD
parent281727c1ada5df77b3151c2076c583b768427712 (diff)
downloadaports-18c4e00db7adc04446dadc4bb77abad4ccc871bf.tar.gz
aports-18c4e00db7adc04446dadc4bb77abad4ccc871bf.tar.bz2
aports-18c4e00db7adc04446dadc4bb77abad4ccc871bf.tar.xz
main/sdl: fix from fedora
http://bugzilla.libsdl.org/show_bug.cgi?id=1155
Diffstat (limited to 'main/sdl/APKBUILD')
-rw-r--r--main/sdl/APKBUILD28
1 files changed, 23 insertions, 5 deletions
diff --git a/main/sdl/APKBUILD b/main/sdl/APKBUILD
index 38dc05424d..79d2c3ac01 100644
--- a/main/sdl/APKBUILD
+++ b/main/sdl/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=sdl
pkgver=1.2.15
-pkgrel=0
+pkgrel=1
pkgdesc="A library for portable low-level access to a video framebuffer, audio output, mouse, and keyboard"
url="http://www.libsdl.org"
arch="all"
@@ -9,16 +9,33 @@ license="LGPL"
subpackages="$pkgname-dev $pkgname-doc"
depends=
depends_dev="libx11-dev libiconv-dev"
-makedepends="libxext-dev libxrender-dev libx11-dev libice-dev libsm-dev
+makedepends="
+ $depends_dev
+ libxext-dev libxrender-dev libx11-dev libice-dev libsm-dev
libxrandr-dev mesa-dev alsa-lib-dev libiconv-dev"
-source="http://www.libsdl.org/release/SDL-$pkgver.tar.gz"
+source="http://www.libsdl.org/release/SDL-$pkgver.tar.gz
+ SDL-1.2.10-GrabNotViewable.patch"
+_builddir="$srcdir"/SDL-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
build() {
- cd "$srcdir"/SDL-$pkgver
+ cd "$_builddir"
./configure --prefix=/usr \
--disable-nasm \
--disable-esd \
+ --disable-video-svga \
+ --disable-video-ggi \
+ --disable-video-aalib \
--enable-alsa \
+ --enable-sdl-dlopen \
--with-x \
--disable-rpath \
--disable-nls
@@ -31,4 +48,5 @@ package() {
rm "$pkgdir"/usr/lib/*.la
}
-md5sums="9d96df8417572a2afb781a7c4c811a85 SDL-1.2.15.tar.gz"
+md5sums="9d96df8417572a2afb781a7c4c811a85 SDL-1.2.15.tar.gz
+37ad001a4d2ff924a5fab356b49f8a78 SDL-1.2.10-GrabNotViewable.patch"